DVDA2TRACK(1)

NAME
dvda2track - extract audio tracks

SYNOPSIS
dvda2track [OPTIONS] [track 1] [track 2] ...

DESCRIPTION

dvda2track extracts audio files from a mounted DVD-Audio disc and encodes them to tracks. If track numbers are given, extracts only those tracks from the given title. Otherwise it extracts the entire title.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit metadata and encoding options in interactive mode prior to extracting disc

-c, --cdrom=CDROM
    the DVD-ROM device the disc is mounted to

-A, --audio-ts=DIR
    the path to the mounted disc's "AUDIO_TS" directory

--title=TITLE
    the title number to extract tracks from

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

EXTRACTION OPTIONS

-t, --type=TYPE
    The audio format of the extracted audio tracks. For a list of available audio formats, try: -t help.

-q, --quality=QUALITY
    The desired quality of the extracted tracks. For a list of available quality modes for a given format, try: -q help

-d, --dir=DIRECTORY
    The target directory for the extracted tracks. If none is given, the current working directory is used. If the target directory does not exist, it will be created automatically.

--format=STRING
    The format string to use for new filenames. Template fields are replaced with metadata values when new tracks are created. All other text is left as-is. If this option is omitted, a default format string is used.

DVD-A LOOKUP OPTIONS

--musicbrainz-server=HOSTNAME
    the MusicBrainz server name to query for metadata

--musicbrainz-port=PORT
    the MusicBrainz port to query for metadata

--no-musicbrainz
    don't query MusicBrainz for metadata

--freedb-server=HOSTNAME
    the FreeDB server name to query for metadata

--freedb-port=PORT
    the FreeDB port to query for metadata

--no-freedb
    don't query FreeDB for metadata

-D, --default
    When multiple metadata choices are available, select the first one automatically. This option has no effect when used with -I

METADATA OPTIONS

--replay-gain
    add ReplayGain metadata to newly created tracks

--no-replay-gain
    do not add ReplayGain metadata to newly created tracks

EXAMPLE

Extract all tracks from the DVD-A on mount point "/media/cdrom" whose DVD-ROM device is "/dev/cdrom"

    dvda2track -c /dev/cdrom -A /media/cdrom/AUDIO_TS/

FORMAT STRING FIELDS
Template Fields
Key | Value
%(track_number)2.2d | the track's number on the CD
%(track_total)d | the total number of tracks on the CD
%(album_number)d | the CD's album number
%(album_total)d | the total number of CDs in the set
%(album_track_number)s | combination of album and track number
%(track_name)s | the track's name
%(album_name)s | the album's name
%(artist_name)s | the track's artist name
%(performer_name)s | the track's performer name
%(composer_name)s | the track's composer name
%(conductor_name)s | the track's conductor name
%(media)s | the track's source media
%(ISRC)s | the track's ISRC
%(catalog)s | the track's catalog number
%(copyright)s | the track's copyright information
%(publisher)s | the track's publisher
%(year)s | the track's publication year
%(date)s | the track's original recording date
%(suffix)s | the track's suffix
%(basename)s | the track's original name, without suffix

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger